External memory
Register a memory plugin installation
Owner-only trust action. Register a pinned remote endpoint or an operator-installed local command reference and its reviewed logical-secret contract.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/memory-plugin-installations" \ -H "Content-Type: application/json" \ -d '{ "pluginId": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "pluginId": "string", "transport": "streamable-http", "endpoint": "string", "commandRef": "string", "pinnedProfileMajor": 1, "expectedManifestDigest": "string", "secretHeaders": [ { "name": "string", "header": "string", "required": true } ], "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}